For the complete documentation index, see llms.txt. This page is also available as Markdown.

Security Rights

List all users with global security rights

get

List all users with global security rights.

It is also possible to request a list of archived global admins, that is, users who used to have global security rights, but do not have them now.

In order to execute this action the current user must have "security right atom:global:assign_global_sr_to_user.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
emailstringOptional

search admins by their email address

statusstring · enumOptional

admin status: active or archived

Possible values:
per_pageintegerOptional

number of admins per page

orderstring · enumOptional

order admins by name in ascending or descending order

Possible values:
pageintegerOptional

Number of the page to serve. This parameter activates classic page-based pagination and cannot be used with parameter next_page_after which activates cursor-based pagination.

next_page_afterstringOptional

When cursor based pagination is used, each paginated response has value next_page_after which, if submitted as a parameter, allows to retrieve the next page. next_page_after is null is there is no next page. next_page_after cannot be used together with parameter page. page activates classic page-based pagination.

Responses
200

Success

application/json
metaobject · ATOMMetaOptional
next_page_afterstring · nullableOptional

A value which allows to retrieve the next page. (Cursor-based pagination)

get/global_admins
GET /global_admins HTTP/1.1
Host: api-sandbox.svx.exchange
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "admins": [
    {
      "archived": false,
      "email": "peter@peterson.com",
      "family_name": "Peterson",
      "given_name": "Peter",
      "id": "9de00c4f-e1d9-4a7e-8b9e-38b3f5648ee2"
    }
  ],
  "meta": {},
  "next_page_after": "text"
}

Show a user with global security rights

get

Show a user with global security rights

In order to execute this action the current user must have "security right atom:global:assign_global_sr_to_user.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstring · uuidRequired

ID of the admin

Responses
200

Success

application/json
get/global_admins/{id}
GET /global_admins/{id} HTTP/1.1
Host: api-sandbox.svx.exchange
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "admin": {
    "archived": false,
    "email": "peter@peterson.com",
    "family_name": "Peterson",
    "given_name": "Peter",
    "id": "9de00c4f-e1d9-4a7e-8b9e-38b3f5648ee2"
  }
}

Remove all global security rights from a user

delete

Remove a user from global admins, that is, remove all global security rights from a user.

In order to execute this action the current user must have security right atom:global:assign_global_sr_to_user.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstring · uuidRequired

ID of the admin

Responses
200

Success

application/json
delete/global_admins/{id}
DELETE /global_admins/{id} HTTP/1.1
Host: api-sandbox.svx.exchange
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

Archive a global admin

post

Remove a user from global admins, and put the admin into the registry of former global admins.

In order to execute this action the current user must have security right atom:global:assign_global_sr_to_user.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstring · uuidRequired

ID of the admin

Responses
200

Success

application/json
post/global_admins/{id}/archive
POST /global_admins/{id}/archive HTTP/1.1
Host: api-sandbox.svx.exchange
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

Restore an archived global admin

post

Reinstate an archived user and make him/her a global admin again.

In order to execute this action the current user must have security right atom:global:assign_global_sr_to_user.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstring · uuidRequired

ID of the admin

Responses
200

Success

application/json
post/global_admins/{id}/restore
POST /global_admins/{id}/restore HTTP/1.1
Host: api-sandbox.svx.exchange
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "admin": {
    "archived": false,
    "email": "peter@peterson.com",
    "family_name": "Peterson",
    "given_name": "Peter",
    "id": "9de00c4f-e1d9-4a7e-8b9e-38b3f5648ee2"
  }
}

Assign global security rights to a user

post

Assign global security rights to a user.

The user we are assigning security rights to does not need to be known by ATOM.

In order to execute this action the current user must have security right atom:global:assign_global_sr_to_user.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstring · uuidRequired

ID of a user to whom security rights are assigned

Body
security_rightsstring[]Required

list of security rights

Example: atom:org:assign_org_sr_to_user
Responses
200

Success

application/json
post/global_admins/{id}/security_rights
POST /global_admins/{id}/security_rights HTTP/1.1
Host: api-sandbox.svx.exchange
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 54

{
  "security_rights": [
    "atom:org:assign_org_sr_to_user"
  ]
}

Remove global security rights from a user

delete

Remove global security rights from a user.

In order to execute this action the current user must have security right atom:global:assign_global_sr_to_user.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstring · uuidRequired

ID of a user from whom security rights are removed

security_rightsstringRequired

List of comma-separated security rights to remove

Responses
200

Success

application/json
delete/global_admins/{id}/security_rights/{security_rights}
DELETE /global_admins/{id}/security_rights/{security_rights} HTTP/1.1
Host: api-sandbox.svx.exchange
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

All security rights of the current user

get

Show all security rights of the current user for all active tenants and organizations

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

Success

application/json
get/security_rights
GET /security_rights HTTP/1.1
Host: api-sandbox.svx.exchange
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "orgs": [
    {
      "id": "3bd00941-6e5b-4852-aefd-3c55f5660592",
      "name": "organisation name"
    }
  ],
  "security_rights": [
    {
      "scope": {
        "org_id": "a483a0f8-144d-4657-8d08-071653d25b7f",
        "tenant_id": "0361dd6e-db21-4cb2-910a-5cf4d30d0dd2"
      },
      "security_rights": [
        "atom:org:assign_org_sr_to_user"
      ]
    }
  ],
  "tenants": [
    {
      "id": "bf15d4be-8e8d-48a8-af49-df615844fa4d",
      "name": "a tenant name"
    }
  ]
}

Show all security rights known to ATOM

get

Show all security rights known to ATOM

Query parameters
with_inactivebooleanOptional

By default only active security rights are fetched. with_inactive allows to retrieve all security rights including inactive.

Responses
200

Success

application/json
get/security_rights_registry
GET /security_rights_registry HTTP/1.1
Host: api-sandbox.svx.exchange
Accept: */*
200

Success

{
  "security_rights": [
    {
      "security_right": "atom:global:assign_sr_to_tenant",
      "spec": {
        "active": true,
        "description": "Assign a security right to a tenant",
        "for_org": false,
        "for_tenant": false,
        "internal_atom_security_right": true
      }
    }
  ]
}

Last updated